#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>




Func Client()
	$OptServerIP = IniRead("VCTemp.ini", "Settings", "ServerIP", @IPAddress1)
	$OptAOT = IniRead("VCTemp.ini", "Settings", "AlwaysOnTop", 1)
	TCPStartup()
	$OptServerIP = InputBox("VCTemp", "Server IP?", $OptServerIP)
	If @error Then Exit
	IniWrite("VCTemp.ini", "Settings", "ServerIP", $OptServerIP)

	$ConnectedSocket = TCPConnect($OptServerIP, 33850)
	If $ConnectedSocket = -1 Then
		MsgBox(0, "VCTemp:Error", "Failed to connect to server.")
		Exit
	EndIf

	$GUI = GUICreate("VCTemp", 328, 72, Default,Default, -1, BitOR($WS_EX_TOOLWINDOW, $WS_EX_WINDOWEDGE,$WS_EX_APPWINDOW))
	GUISetBkColor(0xA0A0A0)
	$InputTemps = GUICtrlCreateInput("", 9, 8, 313, 42, BitOR($ES_CENTER, $ES_AUTOHSCROLL))
	If Not GUICtrlSetFont(-1, 20, 400, 0, "Samson") THen GUICtrlSetFont(-1, 20, 400, 0, "Arial Black")
	GUICtrlSetColor(-1, 0x00FF00)
	$CheckboxAOT = GUICtrlCreateCheckbox("Always on top", 237, 55, 97, 17)

	If $OptAOT = 1 Then
		WinSetOnTop($GUI, "", 1)
		GUICtrlSetState($CheckboxAOT, $GUI_CHECKED)
	EndIf
	GUICtrlSetColor(-1, 0xFF0000)


	GUISetState(@SW_SHOW)

	While 1
		$nMsg = GUIGetMsg()
		Switch $nMsg
			Case $GUI_EVENT_CLOSE
				Exit
			Case $CheckboxAOT
				If GUICtrlRead($CheckboxAOT) = $GUI_CHECKED Then
					WinSetOnTop($GUI, "", 1)
					IniWrite("VCTemp.ini", "Settings", "AlwaysOnTop", 1)
				Else
					WinSetOnTop($GUI, "", 0)
					IniWrite("VCTemp.ini", "Settings", "AlwaysOnTop", 0)
				EndIf


		EndSwitch
		$Data = TCPRecv($ConnectedSocket, 200)
		If @error Then
			MsgBox(0, "VCTemp:Error", "Lost connection to server.VCTemp will now exit.", Default, $GUI)
			Exit
		EndIf
		If $Data <> "" Then GUICtrlSetData($InputTemps, $Data)
	WEnd
EndFunc   ;==>Client